%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  scorecard
%global packver   0.4.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.4
Release:          1%{?dist}%{?buildtag}
Summary:          Credit Risk Scorecard

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-data.table >= 1.10.0
BuildRequires:    R-CRAN-xefun >= 0.1.3
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-gridExtra 
BuildRequires:    R-CRAN-foreach 
BuildRequires:    R-CRAN-doParallel 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-openxlsx 
BuildRequires:    R-CRAN-stringi 
BuildRequires:    R-CRAN-cli 
BuildRequires:    R-CRAN-xml2 
Requires:         R-CRAN-data.table >= 1.10.0
Requires:         R-CRAN-xefun >= 0.1.3
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-gridExtra 
Requires:         R-CRAN-foreach 
Requires:         R-CRAN-doParallel 
Requires:         R-parallel 
Requires:         R-CRAN-openxlsx 
Requires:         R-CRAN-stringi 
Requires:         R-CRAN-cli 
Requires:         R-CRAN-xml2 

%description
The `scorecard` package makes the development of credit risk scorecard
easier and efficient by providing functions for some common tasks, such as
data partition, variable selection, woe binning, scorecard scaling,
performance evaluation and report generation. These functions can also
used in the development of machine learning models. The references
including: 1. Refaat, M. (2011, ISBN: 9781447511199). Credit Risk
Scorecard: Development and Implementation Using SAS. 2. Siddiqi, N. (2006,
ISBN: 9780471754510). Credit risk scorecards. Developing and Implementing
Intelligent Credit Scoring.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
